Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKSetGeometricWidth

Set STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master width of the separator, for use with GEOMETRIC ordering.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKSetGeometricWidth(Mat F, PetscInt w)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` from PETSc-STRUMPACK interface

- w - width of the separator

## Options Database Key

- -mat_strumpack_geometric_width <1> - Width of the separator of the mesh, for geometric nested dissection ordering

## See Also

`MATSOLVERSTRUMPACK`, `MatGetFactor()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Examples

src/ksp/ksp/tutorials/ex52.c

## Implementations

MatSTRUMPACKSetGeometricWidth_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages